<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <groupId>de.ugoe.cs.autoquest</groupId>
    <artifactId>autoquest</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <relativePath>../autoquest/pom.xml</relativePath>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>autoquest-distribution</artifactId>
  <packaging>pom</packaging>
  <name>autoquest-distribution</name>
  <properties>
    <autoquest-scm-trunk-dir>https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk</autoquest-scm-trunk-dir>
  </properties>
  <scm>
    <url>${autoquest-scm-trunk-dir}/${project.artifactId}</url>
    <connection>scm:svn:${autoquest-scm-trunk-dir}/${project.artifactId}</connection>
  </scm>

  <modules>
    <module>../java-utils</module>
    <module>../autoquest</module>
    <module>../autoquest-misc</module>
    <module>../autoquest-core-events</module>
    <module>../autoquest-core-assertions</module>
    <module>../autoquest-core-tasktrees</module>
    <module>../autoquest-core-usageprofiles</module>
    <module>../autoquest-core-coverage</module>
    <module>../autoquest-core-testgeneration</module>
    <module>../autoquest-core-usability</module>
    <module>../autoquest-plugin-core</module>
    <module>../autoquest-plugin-guitar</module>
    <module>../autoquest-plugin-jfc</module>
    <module>../autoquest-plugin-mfc</module>
    <module>../autoquest-plugin-php</module>
    <module>../autoquest-plugin-html</module>
    <module>../autoquest-plugin-http</module>
    <module>../autoquest-ui-core</module>
    <module>../autoquest-ui-swt</module>
    <module>../autoquest-runner</module>
  </modules>

  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.eclipse.m2e</groupId>
          <artifactId>lifecycle-mapping</artifactId>
          <version>1.0.0</version>
          <configuration>
            <lifecycleMappingMetadata>
              <pluginExecutions>
                <pluginExecution>
                  <pluginExecutionFilter>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <versionRange>[1.0.0,)</versionRange>
                    <goals>
                      <goal>get</goal>
                    </goals>
                  </pluginExecutionFilter>
                  <action>
                    <ignore />
                  </action>
                </pluginExecution>
                <pluginExecution>
                  <pluginExecutionFilter>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <versionRange>[1.0.0,)</versionRange>
                    <goals>
                      <goal>unpack</goal>
                    </goals>
                  </pluginExecutionFilter>
                  <action>
                    <ignore />
                  </action>
                </pluginExecution>
              </pluginExecutions>
            </lifecycleMappingMetadata>
          </configuration>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <version>2.4</version>
        <executions>
          <execution>
            <id>get-jfc-plugin-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.autoquest</groupId>
                  <artifactId>autoquest-plugin-jfc</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>get-mfc-plugin-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.autoquest</groupId>
                  <artifactId>autoquest-plugin-mfc</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>get-php-plugin-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.autoquest</groupId>
                  <artifactId>autoquest-plugin-php</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>get-html-plugin-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.autoquest</groupId>
                  <artifactId>autoquest-plugin-html</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>get-runner-bin-scripts</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.autoquest</groupId>
                  <artifactId>autoquest-runner</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>bin</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/bin</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>get-runner-config</id>
            <phase>process-classes</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>de.ugoe.cs.autoquest</groupId>
                  <artifactId>autoquest-runner</artifactId>
                  <version>${project.parent.version}</version>
                  <classifier>config</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.directory}/data</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-assembly-plugin</artifactId>
        <version>2.2-beta-1</version>
        <configuration>
          <descriptors>
            <descriptor>src/main/assembly/bin.xml</descriptor>
          </descriptors>
        </configuration>
        <executions>
          <execution>
            <id>make-assembly</id>
            <phase>package</phase>
            <goals>
              <goal>single</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>